<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript</title>
</head>

<body>
    <h1>JS Demo</h1>

    <script>

        // JavaScript functions

        // Variant 1 ("classical")
        function myFun1(p1, p2) {
            console.log('MyFun 1');
            console.log('Parameter 1', p1);
            console.log('Parameter 2', p2);
        }

        myFun1('Foo', 'Bar');

        // Variant 2 ("semi-classical")
        const myFun2 = function (p1, p2) {
            console.log('MyFun 2');
            console.log('Parameter 1', p1);
            console.log('Parameter 2', p2);
        }

        myFun2('Brazil', 'Onion');

        // Variant 3 (arrow function)
        const myFun3 = (p1, p2) => {
            console.log('MyFun 3');
            console.log('Parameter 1', p1);
            console.log('Parameter 2', p2);
        }

        myFun3('Storm', 'Water');

        function extractPersonBirthYear(personalCode) {
            let initialDigit = personalCode.charAt(0); // 3
            let birthYearDigits = parseInt(personalCode.substring(1, 3)); // 81

            if (initialDigit == 1 || initialDigit == 2) { // 19. sajand
                return 1800 + birthYearDigits;
            } else if (initialDigit == 3 || initialDigit == 4) { // 20. sajand
                return 1900 + birthYearDigits;
            } else if (initialDigit == 5 || initialDigit == 6) { // 21. sajand
                return 2000 + birthYearDigits;
            } else if (initialDigit == 7 || initialDigit == 8) { // 22. sajand
                return 2100 + birthYearDigits;
            } else { // mingi jama
                return -1;
            }
        }

        console.log('Minu sünniaasta', extractPersonBirthYear('5810456565'));

    </script>
</body>

</html>